Support Policies

- IRISPowerscan is a professional product that requires a maintenance contract. To benefit from support and download service your maintenance must be valid. You can contact us if you need to renew your maintenance contract.

   

Download Software

To request a download for IRISPowerscan 10, use the form bellow:

   
IRISPowerscan 10:

*Your maintenance contract must be in order to benefit from the download service.

   

Userguide

Need complete instructions on how to use IRISPowerscan? Take a look at the user guides:

   

Resources and Specifications

Take a ake a look at all the resources and specifications of your product:

Supported languages
Interface languages: English, Spanish, French, Japanese, Italian, Dutch, German, Czech, Portuguese, Magyar
Recognition languages: All American and European languages are supported, including Central-European languages, Greek, Turkish, the Cyrillic and Baltic languages. IRISPowerscan also recognizes 4 Asian languages (Japanese, Simplified Chinese, Traditional Chinese, Korean), Hebrew and Arabic.
Minimum computer requirements
CPU: 2Ghz
RAM: 4GB
Minimum disk space available: 5 GB
Recommended System Requirements
CPU: Intel Core I7 2.6 GHz or faster (64 bits), with at least 2 cores.
RAM: 8GB
Minimum disk space available: 10 GB (SSD highly recommended)
IRISPowerscan will use all available resources. The more resources, the faster the processing.
Internet connection for software downloading and activation
Supported OS
Windows 7 (32 and 64 bit) ** recommended
Windows Server 2012 (64 bits) ** recommended
Windows 8 (32 and 64 bit) ** recommended
Windows 8.1 (32 and 64 bit) ** recommended
Windows 10 (32 and 64 bit) ** recommended
Windows Server 2016 (64 bits) ** recommended
   
Important note about Virtual Machines: some virtual machines running on a laptop or small computer may not be usable. Some scanners are not recognized properly and the IRISPowerscan installation may fail if the Virtual Machine is not up to date with the latest Windows updates. Also note that a Virtual Machine must have at least 4 virtual cores.
Scanner compatibility
IRISPowerscan is compatible with virtually any Twain-based Canon and Kodak scanner. Most HP scanners are supported also.
IRISPowerscan can be used in combination with ISIS-based scanners through the ISIS-driver Addon.
IRISPowerscan is compatible with MFPs thanks to the scan from Folders functionality. Note: when using a Twain-based scanner, at least Twain version 1.9 or higher is required.
   

Contact Us

If you need more help, feel free to ask us your question
Need help?